LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
SecurityEnvironment Service Reference

Service of XSecurityEnvironment. More...

`import"SecurityEnvironment.idl";`

Inheritance diagram for SecurityEnvironment:

## Additional Inherited Members
Public Member Functions inherited from XSecurityEnvironment
sequence < com::sun::star::security::XCertificate > | getPersonalCertificates () raises ( com::sun::star::uno::SecurityException )
| Get personal certificate from the environment. More...
com::sun::star::security::XCertificate | getCertificate ([in] string issuerName, [in] sequence< byte > serialNumber) raises ( com::sun::star::uno::SecurityException )
| Get certificate from the environment by issuer name and serial number. More...
sequence < com::sun::star::security::XCertificate > | buildCertificatePath ([in] com::sun::star::security::XCertificate beginCert) raises ( com::sun::star::uno::SecurityException )
| build certificate path from a certain certificate More...
com::sun::star::security::XCertificate | createCertificateFromRaw ([in] sequence< byte > rawCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from raw DER encoded certificate. More...
com::sun::star::security::XCertificate | createCertificateFromAscii ([in] string asciiCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from a Base64 encoded certificate. More...
long | verifyCertificate ([in] com::sun::star::security::XCertificate xEECertificate, [in] sequence< com::sun::star::security::XCertificate > intermediateCertificates) raises ( com::sun::star::uno::SecurityException )
| Verify a certificate. More...
long | getCertificateCharacters ([in] com::sun::star::security::XCertificate xCertificate) raises ( com::sun::star::uno::SecurityException )
| Get a certificate characters. More...
string | getSecurityEnvironmentInformation ()
| Get the Environment detail infos. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service of XSecurityEnvironment.

The documentation for this service was generated from the following file:

- com/sun/star/xml/crypto/SecurityEnvironment.idl